%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define libgnomecanvas_version 2.4.0
%define gtk2_version 2.2.4
%define atk_version 1.4.0

Summary: 	Accessibility implementation for GTK+ and GNOME libraries
Name: 		gail
Version: 	1.4.0
Release: 	1
URL: 		http://developer.gnome.org/projects/gap
Source: 	%{name}-%{version}.tar.bz2

Patch0:		gail-1.4.0-aix.patch
Patch1:		gail-1.4.0-autotools.patch

License: 	LGPL
Group: 		System Environment/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

Requires: 	atk >= %{atk_version}
Requires: 	gtk2 >= %{gtk2_version}
Requires: 	libgnomecanvas >= %{libgnomecanvas_version}

BuildRequires: 	gtk2-devel >= %{gtk2_version}
BuildRequires: 	atk-devel >= %{atk_version}
BuildRequires: 	libgnomecanvas-devel >= %{libgnomecanvas_version}

%description
GAIL implements the abstract interfaces found in ATK for GTK+ and
GNOME libraries, enabling accessibility technologies such as at-spi to
access those GUIs.


%package devel
Summary: 	Files to compile applications that use GAIL
Group: 		Development/Libraries
Requires: 	%name = %{version}

Requires: 	gtk2-devel >= %{gtk2_version}
Requires: 	libgnomecanvas-devel >= %{libgnomecanvas_version}

%description devel
gail-devel contains the files required to compile applications against the GAIL libraries.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gail-1.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/gail-1.4.0-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix} --disable-gtk-doc
make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# make links
cd %{buildroot}
for dir in lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.a
/usr/lib/lib*.a
%{_libdir}/gtk-2.0
/usr/lib/gtk-2.0

%files devel
%defattr(-,root,system)
%{_includedir}/*
/usr/include/*
%{_libdir}/lib*.la
%{_libdir}/gtk-2.0/modules/*.la
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc
